Changed icons for Options dialog

RESOLVED FIXED in 0.3a1

Status

Instantbird
Preferences
--
enhancement
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: Mic, Assigned: Mic)

Tracking

Details

(URL)

Attachments

(6 attachments, 9 obsolete attachments)

11.98 KB, image/png
Instantbot
: review+
Details
9.91 KB, image/png
Instantbot
: review+
Details
8.77 KB, image/png
Instantbot
: review+
Details
12.02 KB, image/png
Instantbot
: review-
Details
18.99 KB, image/png
Instantbot
: review+
Details
63.67 KB, patch
Details | Diff | Splinter Review
(Assignee)

Description

5 years ago
*** Original post on bio 484 at 2010-08-27 14:44:00 UTC ***

*** Due to BzAPI limitations, the initial description is in comment 1 ***
(Assignee)

Comment 1

5 years ago
Created attachment 8352079 [details]
Windows (Classic), options.png with changes

*** Original post on bio 484 as attmnt 338 at 2010-08-27 14:44:00 UTC ***

Here's a suggestion how some icons could be updated on the Options dialog (Windows, Classic Theme):

* The tabs icon could get a small green dot which would resemble the
conversation tabs more closely while keeping the overall impression of the
Firefox Tabs icon.

* In my opinion it would be better to change the "Themes" icon (maybe even the
label?) to avoid confusing with the application themes/skins on the addon
manager, which has the same icon and same label.


Attaching the updated image file. A screenshot of the Options dialog with the new icons is available on the Wiki (see URL field).

CC:Idechix: I'd like to get your opinion on this.
(Assignee)

Updated

5 years ago
Summary: Changed icons for Options dialog (WinStripe) → Changed icons for Options dialog (Windows, Classic theme)
(Assignee)

Comment 2

5 years ago
Created attachment 8352080 [details]
Changed bubbles to match common look of the theme

*** Original post on bio 484 as attmnt 339 at 2010-08-29 13:51:00 UTC ***

A different approach, which I'd prefer.

The tabs icon is the same as in the other icon sets so far.

Comment 3

5 years ago
*** Original post on bio 484 by Quentin Castier <idechix AT instantbird.org> at 2010-08-30 08:36:15 UTC ***

That's a good idea.
Maybe you should try to remove the paintbrush.

Note : You tagged this bug "PC Windows XP" but don't forget that those icons must be adapted at least 3 times (windows/mac/linux).
*** Original post on bio 484 at 2010-08-30 10:33:30 UTC ***

(In reply to comment #2)

> Note : You tagged this bug "PC Windows XP" but don't forget that those icons
> must be adapted at least 3 times (windows/mac/linux).

Since bug 953845 (bio 404), we also have a Windows Vista/7 version of this image.

Comment 5

5 years ago
*** Original post on bio 484 by Quentin Castier <idechix AT instantbird.org> at 2010-08-30 15:21:43 UTC ***

(In reply to comment #3)
> Since bug 953845 (bio 404), we also have a Windows Vista/7 version of this image.

That's why I wrote "at least".
(Assignee)

Comment 6

5 years ago
Created attachment 8352081 [details]
Common look without pen

*** Original post on bio 484 as attmnt 340 at 2010-08-30 18:59:00 UTC ***

I can test what it looks like on Windows and Linux, but I can't on Mac. Let's fix the Windows classic theme first.
(Assignee)

Comment 7

5 years ago
Created attachment 8352082 [details]
Common look without pen (Aero)

*** Original post on bio 484 as attmnt 341 at 2010-08-30 20:01:00 UTC was without comment, so any subsequent comment numbers will be shifted ***

Comment 8

5 years ago
*** Original post on bio 484 by Quentin Castier <idechix AT instantbird.org> at 2010-08-31 09:50:02 UTC ***

(In reply to comment #5)
> Common look without pen 

Yeah it's better now, I like it.

> I can test what it looks like on Windows and Linux, but I can't on Mac. Let's
> fix the Windows classic theme first.

Don't worry, even if you don't have the os you just have to take the png and modify it like you do for windows versions.
And if you really want to get a preview of what it looks like on the OS, just ask for a screenshot on irc ;)


(In reply to comment #6)
> Common look without pen (Aero)

I don't like the blue smiley. I think it must stay in yellow as it is in the default theme. (and because emoticons are quite always in yellow)
(Assignee)

Comment 9

5 years ago
Created attachment 8352083 [details]
Common look without pen (Aero)

*** Original post on bio 484 as attmnt 342 at 2010-08-31 18:58:00 UTC ***

Changes:
* Yellow smilie instead of blue one
* Added green status dot to the Tabs-icon
(Assignee)

Comment 10

5 years ago
Comment on attachment 8352082 [details]
Common look without pen (Aero)

*** Original change on bio 484 attmnt 341 at 2010-08-31 18:58:17 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352082 - Attachment is obsolete: true
(Assignee)

Comment 11

5 years ago
Created attachment 8352084 [details]
A gnome-ish look, hopefully

*** Original post on bio 484 as attmnt 343 at 2010-08-31 20:00:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Updated

5 years ago
OS: Windows XP → All
Hardware: x86 → All
Summary: Changed icons for Options dialog (Windows, Classic theme) → Changed icons for Options dialog
(Assignee)

Comment 12

5 years ago
Created attachment 8352085 [details]
WIP: Mac icons

*** Original post on bio 484 as attmnt 344 at 2010-08-31 20:50:00 UTC was without comment, so any subsequent comment numbers will be shifted ***

Comment 13

5 years ago
*** Original post on bio 484 by Quentin Castier <idechix AT instantbird.org> at 2010-09-01 08:31:07 UTC ***

I like them, good work!


Note: I'm a bit surprised by the gnome version, you added the red and blue parts (for the name), but I can't say that it does not look good.
But to be sure, you could maybe do a version without those parts. I think it would be better to keep exactly the same concept for each OS.
(Assignee)

Comment 14

5 years ago
*** Original post on bio 484 at 2010-09-01 10:01:53 UTC ***

(In reply to comment #11)
> I like them, good work!
> 
> 
> Note: I'm a bit surprised by the gnome version, you added the red and blue
> parts (for the name), but I can't say that it does not look good.
> But to be sure, you could maybe do a version without those parts. I think it
> would be better to keep exactly the same concept for each OS.

ok, I'll try that. Even though my idea was to have these bubbles and the smilie for each system and adapt the look of them to match the system. I added the coloured parts because we have them on the default theme anyways and in this case it even resembles the top of the gnome tabs a bit.
(Assignee)

Comment 15

5 years ago
Created attachment 8352086 [details]
A gnome-ish look, without colored nick-name-bar

*** Original post on bio 484 as attmnt 345 at 2010-09-01 18:33:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Comment 16

5 years ago
Created attachment 8352087 [details]
A gnome-ish look, with matching colors

*** Original post on bio 484 as attmnt 346 at 2010-09-01 18:33:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
(Assignee)

Comment 17

5 years ago
Comment on attachment 8352079 [details]
Windows (Classic), options.png with changes

*** Original change on bio 484 attmnt 338 at 2010-09-01 19:16:15 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352079 - Attachment is obsolete: true
(Assignee)

Comment 18

5 years ago
Comment on attachment 8352080 [details]
Changed bubbles to match common look of the theme

*** Original change on bio 484 attmnt 339 at 2010-09-01 19:16:18 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352080 - Attachment is obsolete: true

Comment 19

5 years ago
*** Original post on bio 484 by deOmega <jahkae AT gmail.com> at 2010-09-01 20:16:18 UTC ***

Fantastic idea and work.
(Assignee)

Comment 20

5 years ago
Created attachment 8352093 [details]
Common look without pen

*** Original post on bio 484 as attmnt 351 at 2010-09-08 21:36:00 UTC ***

The icon was off by one pixel before, this one is as it should look.

Let's get things done, so let's see if it actually passes review :)
Attachment #8352093 - Flags: review?(bugzilla)
(Assignee)

Comment 21

5 years ago
Comment on attachment 8352081 [details]
Common look without pen

*** Original change on bio 484 attmnt 340 at 2010-09-08 21:36:05 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352081 - Attachment is obsolete: true
(Assignee)

Comment 22

5 years ago
Created attachment 8352094 [details]
Common look without pen (Aero)

*** Original post on bio 484 as attmnt 352 at 2010-09-08 21:43:00 UTC ***

Removed a few 2%-opacity pixels.
Attachment #8352094 - Flags: review?(bugzilla)
(Assignee)

Comment 23

5 years ago
Comment on attachment 8352083 [details]
Common look without pen (Aero)

*** Original change on bio 484 attmnt 342 at 2010-09-08 21:43:10 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352083 - Attachment is obsolete: true
*** Original post on bio 484 at 2010-09-09 13:27:15 UTC ***

My 2 cents about the gnome-ish icons:
While I do agree with the argument in comment 11 about consistency between OSes, I like both attachment 8352086 [details] (bio-attmnt 345) and attachment 8352087 [details] (bio-attmnt 346) (with a slight preference for attachment 8352087 [details] (bio-attmnt 346)). I don't like the colors in attachment 8352084 [details] (bio-attmnt 343) so much, I think it stands out too much compared to the other icons.

If idechix agrees, I would be inclined to let Mic decide which version he prefers between 345 and 346. Of course, I'll let idechix review all the files to ensure they have no defects that I don't see but he would detect :).

Comment 25

5 years ago
*** Original post on bio 484 by Quentin Castier <idechix AT instantbird.org> at 2010-09-09 14:51:46 UTC ***

(In reply to comment #18)
I don't like attachment 8352087 [details] (bio-attmnt 346), but maybe it is because the top border of the first bubble is not in the normal gray color like the others.
(Assignee)

Comment 26

5 years ago
Created attachment 8352097 [details]
Gnome-ish look, with matching colors, top border improved

*** Original post on bio 484 as attmnt 355 at 2010-09-14 20:23:00 UTC ***

I decreased the saturation and lightness of the top border of the yellow bubble. I think it's much more discernable against a light background now.
(Assignee)

Comment 27

5 years ago
Created attachment 8352102 [details]
Mac icons, tweaked bubble borders

*** Original post on bio 484 as attmnt 360 at 2010-09-28 21:50:00 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352102 - Flags: review?(bugzilla)
(Assignee)

Comment 28

5 years ago
Comment on attachment 8352085 [details]
WIP: Mac icons

*** Original change on bio 484 attmnt 344 at 2010-09-28 21:50:55 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352085 - Attachment is obsolete: true
(Assignee)

Comment 29

5 years ago
Comment on attachment 8352084 [details]
A gnome-ish look, hopefully

*** Original change on bio 484 attmnt 343 at 2010-09-28 21:55:02 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352084 - Attachment is obsolete: true
(Assignee)

Comment 30

5 years ago
Comment on attachment 8352087 [details]
A gnome-ish look, with matching colors

*** Original change on bio 484 attmnt 346 at 2010-09-28 21:55:08 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352087 - Attachment is obsolete: true
(Assignee)

Comment 31

5 years ago
Comment on attachment 8352086 [details]
A gnome-ish look, without colored nick-name-bar

*** Original change on bio 484 attmnt 345 at 2010-09-28 21:58:48 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352086 - Flags: review?(bugzilla)
(Assignee)

Comment 32

5 years ago
Comment on attachment 8352097 [details]
Gnome-ish look, with matching colors, top border improved

*** Original change on bio 484 attmnt 355 at 2010-09-28 21:58:55 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352097 - Flags: review?(bugzilla)
(Assignee)

Comment 33

5 years ago
*** Original post on bio 484 at 2010-09-28 22:04:24 UTC ***

Ok, this is the complete set for all themes awaiting review and/or comments. 

There's still two versions of the Gnome icons, one without colour on the top border (goes well with the 'Advanced settings'-gear) and one with yellow/blue pieces (goes well with the other coloured icons).

Let's see if these icons meet all requirements :)



PS: Sorry for the bugspam .. is there a way to change details of several attachments in one go?

Comment 34

5 years ago
Comment on attachment 8352093 [details]
Common look without pen

*** Original change on bio 484 attmnt 351 by idechix AT instantbird.org at 2010-09-30 14:02:17 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352093 - Flags: review?(bugzilla) → review+

Comment 35

5 years ago
Comment on attachment 8352094 [details]
Common look without pen (Aero)

*** Original change on bio 484 attmnt 352 by idechix AT instantbird.org at 2010-09-30 14:02:30 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352094 - Flags: review?(bugzilla) → review+

Comment 36

5 years ago
Comment on attachment 8352102 [details]
Mac icons, tweaked bubble borders

*** Original change on bio 484 attmnt 360 by idechix AT instantbird.org at 2010-09-30 14:02:43 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352102 - Flags: review?(bugzilla) → review+

Comment 37

5 years ago
Comment on attachment 8352086 [details]
A gnome-ish look, without colored nick-name-bar

*** Original change on bio 484 attmnt 345 by idechix AT instantbird.org at 2010-09-30 14:03:34 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352086 - Flags: review?(bugzilla) → review+

Comment 38

5 years ago
Comment on attachment 8352097 [details]
Gnome-ish look, with matching colors, top border improved

*** Original change on bio 484 attmnt 355 by idechix AT instantbird.org at 2010-09-30 14:11:12 UTC ***

In my opinion we should keep the same look for the bubbles on each OS.
Attachment #8352097 - Flags: review?(bugzilla) → review-
(Assignee)

Comment 39

5 years ago
*** Original post on bio 484 at 2010-10-01 07:27:24 UTC ***

(In reply to comment #23)
> (From update of attachment 8352097 [details] (bio-attmnt 355) [details])
> In my opinion we should keep the same look for the bubbles on each OS.

ok, thanks for the review. I will make a patch of it the next days (would be nice to let me know if it's NOT necessary, as I'm quite busy at the moment).
*** Original post on bio 484 at 2010-10-01 11:55:59 UTC ***

(In reply to comment #24)

> ok, thanks for the review. I will make a patch of it the next days (would be
> nice to let me know if it's NOT necessary, as I'm quite busy at the moment).

It would be nice and save me some time (only if it applies... your last patch containing a binary file did not apply, I suspect it had something to do with TortoiseHG's brokenness with regards to diffs) but it's not really necessary. I can just copy the 4 file and commit them ;). Don't worry about it :).
(Assignee)

Comment 41

5 years ago
Created attachment 8352103 [details] [diff] [review]
Changed icons for Options dialog.patch

*** Original post on bio 484 as attmnt 361 at 2010-10-02 14:02:00 UTC ***

ok, here's the patch, I fixed a few problems with pixels with zero opacity (they appeared in viewers that didn't support alpha transparency). No visual changes done.

I tried importing the patch into my repository and it worked fine.

Please use my new email address for committing.
(Assignee)

Comment 42

5 years ago
Created attachment 8352104 [details] [diff] [review]
Changed icons for Options dialog.patch v2

*** Original post on bio 484 as attmnt 362 at 2010-10-02 15:44:00 UTC ***

Tymerkaev spotted a small issue in the last patch: the winstripe tabs icon was missing its green conversation dot. Seems I forgot to add it when I fixed the transparency issues (had to create this image again as the ). This patch fixes this.

The Mac icons doesn't have one on purpose as anything I tried looked rather out of place.
(Assignee)

Comment 43

5 years ago
Comment on attachment 8352103 [details] [diff] [review]
Changed icons for Options dialog.patch

*** Original change on bio 484 attmnt 361 at 2010-10-02 15:44:15 UTC was without comment, so any subsequent comment numbers will be shifted ***
Attachment #8352103 - Attachment is obsolete: true
(Assignee)

Comment 44

5 years ago
*** Original post on bio 484 at 2010-10-04 14:35:38 UTC ***

Thanks a lot for the good comments and for commiting/pushing the changes.

https://hg.instantbird.org/instantbird/rev/e7151eeb5b29
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED
*** Original post on bio 484 at 2011-04-13 15:58:14 UTC ***

Cleaning up some old bugs to add milestones.
Target Milestone: --- → 0.3a1
You need to log in before you can comment on or make changes to this bug.